Bug 459140 - [RFE] update rdesktop from 1.4.1 to 1.6, for Vista and Server 2008 support
[RFE] update rdesktop from 1.4.1 to 1.6, for Vista and Server 2008 support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rdesktop (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Søren Sandmann Pedersen
desktop-bugs@redhat.com
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 13:22 EDT by Olivier Fourdan
Modified: 2013-03-03 21:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:11:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to support fifferent key length in rdesktop 1.4.1 (backported from 1.5.0) (5.23 KB, patch)
2008-08-14 13:22 EDT, Olivier Fourdan
no flags Details | Diff

  None (edit)
Description Olivier Fourdan 2008-08-14 13:22:29 EDT
Created attachment 314334 [details]
Patch to support fifferent key length in rdesktop 1.4.1 (backported from 1.5.0)

Description of problem:

rdesktop 1.4.1 cannot connect to Windows Vista

Version-Release number of selected component (if applicable):

rdesktop-1.4.1

How reproducible:

100% reproducible

Steps to Reproduce:
1.Set up Vista
2.Enable remote desktop access
3.Try to connect using rdesktop 1.4.1
  
Actual results:

rdesktop bails aout with:

ERROR: modulus len 0x108
ERROR: send: Connection reset by peer
ERROR: Connection closed

Expected results:

rdesktop connects to Vista

Additional info:

Actually this bug has been fixed in 1.5.0, the problem comes from the problem comes from the length of the public key used by Vista which is larger than the previous versions.

To work with Vista, rdesktop needs to support different public key lengths. The patch, backported from 1.5.0, is fairly simple and not so intrusive (only ~170 lines).
Comment 11 RHEL Product and Program Management 2009-03-26 13:12:11 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 18 Robert Townley 2009-08-20 23:38:53 EDT
rdesktop is critical for implementing a common LDAP infrastructure.  Windows Server 2008 R2 is now out and not accessible at all from RHEL.
Comment 19 errata-xmlrpc 2009-09-02 07:11:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1417.html

Note You need to log in before you can comment on or make changes to this bug.